function [yhat,beta]=polyreg(y,x,p)

% Computes the fit and parameters of a polynomial regression
% of degree p 
%
% Syntax: [yhat,beta]=polyreg(y,x,p)

[n,D]=size(x);
Dp=ones(n,1);
for i=1:D
for j=1:p(i)
Dp=[Dp x(:,i).^j];
end
end

beta = inv(Dp'*Dp)*Dp'*y;
yhat=Dp*beta;
