function [u]=unif2loi(v,loi,p1,p2)
%=============================================================
% transforme la variable uniforme v en une variable u
% de loi spcifie dans "loi"
%
% Julien JACQUES avril 2006
%=============================================================
        if loi==1 %loi uniforme entre p1 et p2
           u=v.*(p2-p1)+p1;
        end
        if loi==2 %loi normale N(p1,p2) 
            %u=erfinv(2.*v-1).*p2+p1
            u=norminv(v,p1,p2);
        end
        if loi==3 %loi Expo E(p1)
            u=expinv(v,p1);
        end
        if loi==4 % Weibull W(p1,p2)
            u=weibinv(v,p1,p2);
        end
        if loi==5 % Gamma G(p1,p2)
            u=gaminv(v,p1,p2);
        end
        if loi==6 % student t(p1)
            u=tinv(v,p1);
        end
        if loi==7 % beta B(p1,p2)
            u=betainv(v,p1,p2);
        end
        if loi==8 % chi2 X2(p1)
            u=chi2inv(v,p1);
        end
        if loi==9 % lognormale LN(p1,p2)
            u=logninv(v,p1,p2);
        end
